
$(document).ready(function () {
    if ($('#person-natural').is(':checked')) {
        // Muestra el mensaje para Persona Natural
        $('#nombre-persona').text('Nombre *');
        // $('#div-document-type').show();
        $('#div-cf2').show();
        $('label[for="cf2"]').text('RUC');

        $("#document-type option").show();
        $("#document-type option[value='6']").hide();
        $('label[for="direccion"]').text('Dirección');




    } else if ($('#person-juridica').is(':checked')) {

        $("#document-type option").hide();
        // Muestra las opciones relevantes según la selección inicial (por defecto, Persona Jurídica)
        $("#document-type option[value='6']").show();
        $('#nombre-persona').text('Razón social *');
        $('#div-cf2').hide();
        $('label[for="cf2"]').text('RUC *');
        $('label[for="direccion"]').text('Dirección *');


    }
    $('form').keypress(function (e) {
        if (e == 13) {
            return false;
        }
    });

    $('input').keypress(function (e) {
        if (e.which == 13) {
            return false;
        }
    });
    $("#is_retainer_checkbox").on('change', function () {
        var isChecked = document.getElementById('is_retainer_checkbox').checked;
        if (isChecked) {
            $('#is_retainer').val(1);
            $('.retainer_percentage').show(600);
        } else {
            $('#is_retainer').val(0);
            $('.retainer_percentage').hide(600);
        }
    });

    $('#btn-cancel').click(function (e) {
        if (confirm("¿Está seguro que desea cancelar?")) {
            window.location.href = base_url + "customers"
        }

    });

    $('#customer-form').submit(function (e) {
        var numeroruc = $("#cf2").val();

        if ($('#person-natural').is(':checked')) {
            if (numeroruc.substring(0, 2) == "20") {
                mensaje_alerta('El RUC ingresado pertenece a una persona jurídica.');
                e.preventDefault();
            }
        } else {
            $("#cf2").val("");
        }




    });

    $('#con-ruc').on('click', function () {


        var numeroConsulta = $("#cf2").val();
        var tipoConsulta = 2

        if (numeroConsulta.toString().length == 11) {

            if (numeroConsulta.substring(0, 2) == 10) {

                $('#cf1').val(numeroConsulta.substring(2, 10));
                $('#cf2').val(numeroConsulta);
                tipoConsulta = 2
                $("#person-natural").prop("checked", true);
                $('#document-type').val('1').trigger('change.select2');
                $('#div-cf2').show();
                $('#nombre-persona').text('Nombre *');
                $("#document-type option").show();
                $("#document-type option[value='6']").hide();
                $('label[for="direccion"]').text('Dirección');




            }
            if (numeroConsulta.substring(0, 2) == 20) {

                tipoConsulta = 2
                $('#cf2').val('');
                $('#cf1').val(numeroConsulta);
                $("#person-juridica").prop("checked", true);
                $('#document-type').val('6').trigger('change.select2');
                $('#div-cf2').hide();
                $('#nombre-persona').text('Razon social *');
                $("#document-type option").hide();
                $("#document-type option[value='6']").show();
                $('label[for="direccion"]').text('Dirección *');

            }
            obtenerDatos(numeroConsulta, tipoConsulta);
        } else {

            mensaje_alerta('Ingrese un ruc válido');

        }



    });var contadorClics = 0;
    $('#con-num-doc').on('click', function () {
        var numeroConsulta = $("#cf1").val();
        var tipoConsulta = 1
        

        if (numeroConsulta.toString().length == 8) {

            contadorClics++; // Incrementa el contador de clics
            if (contadorClics == 2) {
                // Borra el campo RUC solo en la segunda vez que se hace clic
                $('#cf2').val('');
            }
            // Restablece el contador de clics después de la segunda vez
            if (contadorClics >= 2) {
                contadorClics = 0;
            }

            if ($("#idclienteedit").length == 0) {
                $('#cf2').val('');
            }
            $("#person-natural").prop("checked", true);
            $('#document-type').val('1').trigger('change.select2');
            $('#div-cf2').show();
            $('#nombre-persona').text('Nombre *');
            $("#document-type option").show();
            $("#document-type option[value='6']").hide();
            $('label[for="direccion"]').text('Dirección');




            tipoConsulta = 1
        } else if (numeroConsulta.toString().length == 11) {
            if (numeroConsulta.substring(0, 2) == 10) {
                $('#cf1').val(numeroConsulta.substring(2, 10));
                $('#cf2').val(numeroConsulta);
                tipoConsulta = 2
                $("#person-natural").prop("checked", true);
                $('#document-type').val('1').trigger('change.select2');
                $('#div-cf2').show();
                $('#nombre-persona').text('Nombre *');
                $("#document-type option").show();
                $("#document-type option[value='6']").hide();
                $('label[for="direccion"]').text('Dirección');



            }
            else if (numeroConsulta.substring(0, 2) == 20) {

                tipoConsulta = 2
                $('#cf2').val('');
                $("#person-juridica").prop("checked", true);
                $('#document-type').val('6').trigger('change.select2');
                $('#div-cf2').hide();
                $('#nombre-persona').text('Razon social *');
                $("#document-type option").hide();
                $("#document-type option[value='6']").show();
                $('label[for="direccion"]').text('Dirección *');

            } else {
                if ($('#person-natural').is(':checked')) {
                    // Muestra el mensaje para Persona Natural
                    $('#nombre-persona').text('Nombre *');
                    // $('#div-document-type').show();
                    $('#div-cf2').show();
                    $('label[for="cf2"]').text('RUC');

                    $("#document-type option").show();
                    $("#document-type option[value='6']").hide();
                    $('label[for="direccion"]').text('Dirección');
                } else if ($('#person-juridica').is(':checked')) {
                    $("#document-type option").hide();
                    // Muestra las opciones relevantes según la selección inicial (por defecto, Persona Jurídica)
                    $("#document-type option[value='6']").show();
                    $('#nombre-persona').text('Razón social *');
                    $('#div-cf2').hide();
                    $('label[for="cf2"]').text('RUC *');
                    $('label[for="direccion"]').text('Dirección *');
                }
            }

        }



        obtenerDatos(numeroConsulta, tipoConsulta);



    });



    $('.radio-person-type').on('change', function () {
        // Oculta todos los mensajes
        // Verifica cuál radio button está seleccionado
        if ($('#person-natural').is(':checked')) {
            // Muestra el mensaje para Persona Natural
            $('#nombre-persona').text('Nombre *');
            // $('#div-document_type').show();
            $('#div-cf2').show();
            $('label[for="cf2"]').text('RUC');
            $('#name').val('');
            $('#cdireccion').val('');

            $('#doctypejs').val('');
            $('#document-type').val('').trigger('change.select2');
            $("#document-type option").show();
            // Muestra las opciones relevantes según la selección inicial (por defecto, Persona Jurídica)
            $("#document-type option[value='6']").hide();
            $('label[for="direccion"]').text('Dirección');


        } else if ($('#person-juridica').is(':checked')) {
            $('#nombre-persona').text('Razón social *');
            // $('#div-document_type').hide();s

            // $('#cf1').val('');
            $('#div-cf2').hide();
            $('label[for="cf2"]').text('RUC *');
            $('#name').val('');
            $('#cdireccion').val('');
            $('#cf2').val('');

            // Muestra el mensaje para Persona Jurídica

            $("#document-type option").hide();
            // Muestra las opciones relevantes según la selección inicial (por defecto, Persona Jurídica)
            $("#document-type option[value='6']").show();
            $('#document-type').val(6).trigger('change.select2');
            $('label[for="direccion"]').text('Dirección *');

        }

    });
});


function obtenerDatos(numeroConsulta, tipoConsulta) {

    var idCliente
    var persontype = $("#input_hidden_person_type").val();


    if ($("#idclienteedit").length > 0) {
        idCliente = $("#idclienteedit").val();
    } else {
        idCliente = code;
    }

    if (tipoConsulta == 1) {

        var url = "general/get_data_by_dni/" + numeroConsulta;
        // Validar si los dos primeros dígitos son "10"

    } else if (tipoConsulta = 2) {

        var url = "general/get_data_by_ruc/" + numeroConsulta;

    }
    if (!isNaN(numeroConsulta)) {

        $.ajax({
            type: 'get',
            url: base_url + url,
            dataType: "json",
            success: function (datos) {
                $('#cargando-ruc').hide('fade');
                $('#cargando').hide('fade');

                if (datos.result == "ok") {
                    datos = datos.data;
                    if (tipoConsulta == 1) {
                        $('#name').val(datos.nombre);
                        $('#cdireccion').val('');



                    }
                    if (tipoConsulta == 2) {

                        $('#name').val(datos.nombre_o_razon_social);
                        $('#cdireccion').val(datos.direccion);
                    }
                } else {
                    if (idCliente === "") {

                        $('#document-type').val('').trigger('change.select2');
                        $('#name').val('');
                        $('#cdireccion').val('');

                        if ($('#person-juridica').is(':checked')) {
                            $("#document-type option").hide();
                            $("#document-type option[value='6']").show();
                            $('#document-type').val(6).trigger('change.select2');
                        }

                    }

                    if (idCliente !== "") {


                        if (persontype == 1) {

                            $("#div-document_type *").prop("disabled", true);

                        }

                        if (persontype == 2) {

                            $("#div-document_type *").prop("disabled", true);
                            $('#document-type').val(6).trigger('change.select2');

                        }

                    }

                    mensaje_alerta(datos.data);
                }
            },
            error: function () {
                mensaje_alerta('no se encontró datos para el numero de documento ingresado');
            },
            beforeSend: function () {
                if (tipoConsulta == 1) {
                    $('#cargando').show('fade');

                } else {
                    $('#cargando-ruc').show('fade');
                }
            },
        });
    } else {
        if (tipoConsulta == 1) {
            mensaje_alerta('Ingrese un número de documento válido');
            $('#name').val('');
            $('#cdireccion').val('');

        }
        if (tipoConsulta == 2) {

            mensaje_alerta('Ingrese un ruc válido');
            $('#name').val('');
            $('#cdireccion').val('');
            $('#direccion').val('');
        }
    }
}

function mensaje_alerta($mensaje) {
    $('#alert').html('<strong>¡Alerta!</strong> ' + $mensaje);
    $('#alert').show('fade');
    $('#cargando').hide('fade');
    setTimeout(function () {
        $('#alert').hide('fade');
    }, 8000);
}